## joe 2.8

=== Makefile ===
# Makefile for Joe's Own Editor

###############
# Configuration
###############

# Set where you want joe to go, where you
# want joe's initialization file (joerc)
# to go and where you want the man page
# to go:

WHEREJOE = /usr/local/bin
WHERERC = /usr/local/lib
WHEREMAN = /usr/local/man/man1

# If you want to use TERMINFO, you have to set
# the following variable to 1.  Also you have to
# include some additional libraries- see below.

TERMINFO = 0

# You may also have to add some additional
# defines to get the include files to work
# right on some systems.
#
# for some HPUX systems, you need to add:  -D_HPUX_SOURCE

# C compiler options: make's built-in rules use this variable

CFLAGS = -O2

# C compiler to use: make's built-in rules use this variable

CC = cc

# You may have to include some extra libraries
# for some systems
#
# for Xenix, add (in this order!!): -ldir -lx
#
# For some systems you might have to add: -lbsd
# to get access to the timer system calls.
#
# If you wish to use terminfo, you have to
# add '-ltinfo', '-lcurses' or '-ltermlib',
# depending on the system.

EXTRALIBS =

# Object files

OBJS = b.o blocks.o bw.o cmd.o hash.o help.o kbd.o macro.o main.o menu.o \
 path.o poshist.o pw.o queue.o qw.o random.o rc.o regex.o scrn.o tab.o \
 termcap.o tty.o tw.o ublock.o uedit.o uerror.o ufile.o uformat.o uisrch.o \
 umath.o undo.o usearch.o ushell.o utag.o va.o vfile.o vs.o w.o zstr.o

# That's it!

# How to make joe from object files.  Object files are made from source
# files using make's built-in rules.

joe: $(OBJS)
	rm -f jmacs jstar rjoe jpico
	$(CC) $(CFLAGS) -o joe $(OBJS) $(EXTRALIBS)
	ln joe jmacs
	ln joe jstar
	ln joe rjoe
	ln joe jpico

# All object files depend on config.h

$(OBJS): config.h

# How to make config.h

config.h:
	$(CC) conf.c -o conf
	./conf $(WHERERC) $(TERMINFO)

# How to make termidx

termidx: termidx.o
	$(CC) $(CFLAGS) -o termidx termidx.o

# Install proceedure

install: joe termidx do-install

install-linux: do-install

do-install:
	strip joe
	strip termidx
	if [ ! -d $(WHEREJOE) ]; then mkdir $(WHEREJOE); chmod a+rx $(WHEREJOE); fi
	rm -f $(WHEREJOE)/joe $(WHEREJOE)/jmacs $(WHEREJOE)/jstar $(WHEREJOE)/jpico $(WHEREJOE)/rjoe $(WHEREJOE)/termidx
	mv joe $(WHEREJOE)
	ln joe $(WHEREJOE)/jmacs
	ln joe $(WHEREJOE)/jstar
	ln joe $(WHEREJOE)/rjoe
	ln joe $(WHEREJOE)/jpico
	mv termidx $(WHEREJOE)
	if [ ! -d $(WHERERC) ]; then mkdir $(WHERERC); chmod a+rx $(WHERERC); fi
	rm -f $(WHERERC)/joerc $(WHERERC)/jmacsrc $(WHERERC)/jstarrc $(WHERERC)/jpicorc $(WHERERC)/rjoerc $(WHEREMAN)/joe.1
	cp joerc $(WHERERC)
	cp jmacsrc $(WHERERC)
	cp jstarrc $(WHERERC)
	cp rjoerc $(WHERERC)
	cp jpicorc $(WHERERC)
	cp joe.1 $(WHEREMAN)
	chmod a+x $(WHEREJOE)/joe
	chmod a+x $(WHEREJOE)/jmacs
	chmod a+x $(WHEREJOE)/jstar
	chmod a+x $(WHEREJOE)/rjoe
	chmod a+x $(WHEREJOE)/jpico
	chmod a+r $(WHERERC)/joerc
	chmod a+r $(WHERERC)/jmacsrc
	chmod a+r $(WHERERC)/jstarrc
	chmod a+r $(WHERERC)/rjoerc
	chmod a+r $(WHERERC)/jpicorc
	chmod a+r $(WHEREMAN)/joe.1
	chmod a+x $(WHEREJOE)/termidx
	rm -f $(WHERERC)/termcap
	cp termcap $(WHERERC)/termcap
	chmod a+r $(WHERERC)/termcap
	rm -f $(WHERERC)/terminfo
	cp terminfo $(WHERERC)/terminfo
	chmod a+r $(WHERERC)/terminfo

# Cleanup proceedure

clean:
	rm -f $(OBJS) termidx.o conf conf.o config.h

## joe 3.7-1-maemo1

=== debian/changelog ===
joe (3.7-1-maemo1) unstable; urgency=low

  * adaptet for Maemo 5 fremantle	

 -- Klaus Rotter <klaus@rotters.de>  Fry, 05 Mar 2010 21:43:31 +0100

joe (3.7-1) unstable; urgency=low

  * New upstream version, closes: #504122, #504439.
    (Thanks to Jari Aalto for all the help with the BTS.)
    + jstar is now able to set the left margin to 1, closes: #386883.
    + Preserves timestamps of backup files once again, closes: #356267.
    + Non-French sentence/paragraph spacing rules are now working properly,
      closes: #389410.
    + The French input (o) to the yes query now works (but thanks to
      Jari Aalto for the alternative patch anyway), closes: #402565.
    + Should now separate the interface locale from the input locale
      (although I still had to forward-port my patch which unbreaks
      langinfo.h CODESET detection), closes: #453310.
    + Can now work with files/directories whose names begin with "!",
      provided that they are doubly-escaped, closes: #163628.
    + Can now work with files/directories whose names include "\",
      provided that they are doubly-escaped, closes: 204449.
    + Option -guess-indent no longer breaks -istep, closes: #430565.
    + %a/%A fields in the status bar now work on (multibyte) chars,
      closes: #443181.
    + syntax/css.jsf no longer forces bold white on keywords, just bold,
      closes: #414245.
    + Improved Emacs keybindings in the find/replace query, closes: #440158.
    + syntax/lua.jsf no longer has a syntax error on line 183,
      closes: #505489.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 06 Dec 2008 16:08:31 +0100

joe (3.5-2) unstable; urgency=low

  * (Includes the NMU patch for emptiness in execmd.)
  * Fixed crash when file can't be written to (due to lack of disk space
    or being over quota), patch by Benjamin Mesing, closes: #103820.
  * Fixed CHARSET detection to use the fine system function rather than
    internal workaround, noticed by Chris Brown, closes: #408562.
  * Stop highlighting '$foo' in PHP, patch by Sam Penny, extended by me to
    also remove var_insqstring because it's an orphan now, closes: #469840.
  * Replaced the utterly broken de.po with Jan Engelhardt's version
    from the upstream tracker item 1629477, closes: #455503.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 31 May 2008 19:00:58 +0200

joe (3.5-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix Segfault when using execmd with empty command 
    (closes: #392077)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 18 Oct 2006 20:47:22 +0200

joe (3.5-1) unstable; urgency=low

  * New upstream version.
    + configure.ac now includes header check for term.h, dropped that patch
    + types.h now conditionally includes unistd.h, and is included
      everywhere else, dropped those patches
    + termcap.c now includes term.h properly, dropped that patch
    + There is no longer a default replace string set from history,
      closes: #363460.
    + Display of repeated search string now shows \, closes: #363345.
    + Warning about ignore/steal/quit on vfat is gone, closes: #364493.
    + Perl syntax highlighting now handles $`, closes: #261352.
    + Python syntax highlighting now handles the '+comment+multiline
      docstring, closes: #252643.
    + Diff syntax highlighting now handles the minus cases properly,
      though not with the exact patch by Darren Salt, closes: #258434.
    + Shell syntax highlighting now handles HERE docs, closes: #284393.
  * Stop shipping fixed /etc/joe/editorrc and instead add all our versions
    as alternatives to it. Unfortunately it doesn't work as a slave
    alternative to the main editor alternative, but this is as close
    as it can get, closes: #269334.
  * Updated conffiles list, fixed typo in old changelog ("urgence"),
    removed FSF address from copyright file, moved menu entry to /usr/share,
    compressed ru manual page, upped the standards version to 3.7.2.

 -- Josip Rodin <joy-packages@debian.org>  Thu, 21 Sep 2006 00:37:33 +0200

joe (3.3-5) unstable; urgency=medium

  * Gah, HAVE_TERM_H was missing from autoconf configuration.
  * Included utils.h in i18n.c so that joe_malloc is picked up.

 -- Josip Rodin <joy-packages@debian.org>  Tue,  4 Apr 2006 12:32:50 +0200

joe (3.3-4) unstable; urgency=medium

  * Included a few more headers in order to avoid the broken casts on
    architectures where getenv and malloc aren't the same as on ix86,
    hopefully closes: #360666.

 -- Josip Rodin <joy-packages@debian.org>  Tue,  4 Apr 2006 11:58:27 +0200

joe (3.3-3) unstable; urgency=low

  * Added the actual inclusion of <term.h> after the check for HAVE_TERM_H
    in termcap.c, d'oh, thanks to Peter Troeger, closes: #252934.
  * Added the #ifdef HAVE_STDLIB_H\n#include <stdlib.h>\n#endif sequence
    wherever malloc is used, thanks to Tomas Kalibera, closes: #291267.
  * Better documented some frequently asked questions, closes: #284142
    and further alleviates #219914.

 -- Josip Rodin <joy-packages@debian.org>  Mon,  3 Apr 2006 01:32:08 +0200

joe (3.3-2) unstable; urgency=low

  * Updated conffiles, dropped non-existent INFO file, dropped the doc
    directory from /etc/joe (?!).

 -- Josip Rodin <joy-packages@debian.org>  Sun, 12 Feb 2006 19:57:13 +0100

joe (3.3-1) unstable; urgency=low

  * New upstream version, closes: #348389.
  * No longer lacks the initialization of a file descriptor in the charset
    reading function, so it no longer crashes because of empty $HOME,
    closes: #349257.

 -- Josip Rodin <joy-packages@debian.org>  Sun, 12 Feb 2006 19:39:51 +0100

joe (3.1-0.2) unstable; urgency=high

  * NMU (urgency set to high since this breaks upgrades)
  * Changed 'command -v' to the '-x' (as suggested by update-menu's
    documentaiton) since if joe is upgraded together with menu 
    update-menus is not guaranteed to be executable. Actually,
    this is prevented so that update-menus is only run once in the upgrade


=== debian/control ===
Source: joe
Section: editors
Priority: optional
Maintainer: Klaus Rotter <klaus@rotters.de>
Build-Depends: libncurses-dev
Standards-Version: 3.7.2

Package: joe
Architecture: any
Depends: ${shlibs:Depends}
Description: user friendly full screen text editor
 Joe, the Joe's Own Editor, has the feel of most PC text editors: the key
 sequences are reminiscent of WordStar and Turbo C editors, but the feature
 set is much larger than of those.  Joe has all of the features a Unix
 user should expect: full use of termcap/terminfo, complete VI-style Unix
 integration, a powerful configuration file, and regular expression search
 system.  It also has six help reference cards which are always available,
 and an intuitive, simple, and well thought-out user interface.
 .
 Joe has a great screen update optimization algorithm, multiple windows
 (through/between which you can scroll) and lacks the confusing notion of
 named buffers.  It has command history, TAB expansion in file selection
 menus, undo and redo functions, (un)indenting and paragraph formatting,
 filtering highlighted blocks through any external Unix command, editing
 a pipe into or out of a command, and block move, copy, delete or filter.
 .
 Through simple QEdit-style configuration files, Joe can be set up to
 emulate editors such as Pico and Emacs, along with a complete imitation
 of WordStar, and a restricted mode version (lets you edit only the files
 specified on the command line).  Joe also has a deferred screen update to
 handle typeahead, and it ensures that deferral is not bypassed by tty
 buffering.  It's usable even at 2400 baud, and it will work on any
 kind of sane terminal.

=== debian/rules ===
#!/usr/bin/make -f

tmp := $(CURDIR)/debian/joe
docdir := $(tmp)/usr/share/doc/joe

CFLAGS := -g
ifeq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O2
endif

build: config.status joe

config.status: configure
	CFLAGS="$(CFLAGS)" ./configure --sysconfdir=/etc --prefix=/usr \
          --mandir='$${datadir}/man'

joe: main.c
	$(MAKE)

clean: checkroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf $(tmp) debian/*~ debian/substvars* debian/files*

install: build checkroot
	rm -rf $(tmp)
	$(MAKE) DESTDIR=$(tmp) install
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	strip --remove-section=.comment --remove-section=.note $(tmp)/usr/bin/joe
endif
	rm -f $(tmp)/usr/bin/termidx
	gzip -9 $(tmp)/usr/share/man/man1/joe.1
	gzip -9 $(tmp)/usr/share/man/ru/man1/joe.1
	for i in jmacs jstar rjoe jpico; do \
          ln -s joe.1.gz $(tmp)/usr/share/man/man1/$$i.1.gz; \
        done

binary: binary-indep binary-arch

binary-indep:

binary-arch: install
	install -m 755 -d $(tmp)/usr/share/doc/joe
	for doc in README LIST TODO NEWS; do \
          gzip -9c $$doc >$(tmp)/usr/share/doc/joe/$$doc.gz; \
        done
	rm -rf $(tmp)/etc/joe/doc
	gzip -9c debian/changelog > $(tmp)/usr/share/doc/joe/changelog.Debian.gz
	gzip -9c ChangeLog > $(tmp)/usr/share/doc/joe/changelog.gz
	install -m 644 debian/help.pl.txt $(tmp)/usr/share/doc/joe/
	install -m 644 debian/copyright debian/README.Debian $(tmp)/usr/share/doc/joe
	install -m 755 -d $(tmp)/DEBIAN
	install -m 644 debian/conffiles $(tmp)/DEBIAN
	install -m 755 debian/postinst debian/prerm debian/postrm $(tmp)/DEBIAN
	install -m 755 -d $(tmp)/usr/share/menu
	install -m 644 debian/menu $(tmp)/usr/share/menu/joe
	dpkg-shlibdeps $(tmp)/usr/bin/joe
	dpkg-gencontrol -P$(tmp) -isp
	chown -R root.root $(tmp)
	chmod -R go=rX,u+rw,a-s $(tmp)
	dpkg-deb --build $(tmp) ..

checkroot: debian/rules
	test "`id -u`" -eq "0"

## joe 4.1

=== debian/changelog ===
joe (4.1-2) unstable; urgency=low

  * Include a debian/compat file so that dh_autoreconf doesn't think
    we want a compatibility level of 1 which is unsupported.
    AFAICT none of the levels ever affect that program, yet it started
    insisting on it. Oh well.
  * Add build-{arch,indep} into debian/rules, update joe built binary path.

 -- Josip Rodin <joy-packages@debian.org>  Sun, 31 Jan 2016 20:44:02 +0100

joe (4.1-1) unstable; urgency=low

  * New upstream release.
    + Drop obsolete/integrated patches to
      main.c, uformat.c, rc/ftyperc, syntax/php.jsf.in
    + Update main.c location in rules to use new joe/ subdir
    + Mark three new files as conffiles in /etc/joe.
    + Drop the manual installation of documentation files, upstream
      automake rules have been installing them for a while now,
      thanks to Adam Borowski, closes: #796123
    + Includes upstream fix for search&replace getting stuck on
      zero-width regex, thanks to Alexey Spiridonov, closes: #745557
    + Includes upstream fix for Lua syntax highlighting getting stuck,
      thanks to Alexey Spiridonov, closes: #745558
    + Includes upstream fix for PHP syntax highlighting missing ternary
      operator without spacing, closes: #588525
    + Includes upstream fix to stop complaining about old ~/.joerc,
      closes: #560182
    + Includes upstream fixes for default indentation: it moved from
      2 spaces to 4 spaces by default, but the Ctrl+T menu now has options
      to make it even more trivial to change to tab or 8 spaces or whatever
      other combination (in addition to existing joerc options),
      closes: #343462
    + Includes upstream fixes for paragraph reformatting with very long
      words, thanks to Diego Roversi, closes: #549276
  * Upgrade source format to 3.0 (quilt):
    + Move rc/jstarrc.in patch to patches/001_jstarrc_overtype.patch
    + Move syntax/main.jsf.in patch to patches/002_mail_jsf_ugly.patch
    + Make the utf8.c patch apply to joe/charmap.c and move it to
      patches/003_setlocale_codeset.patch
    + Restore original config.{guess,sub} on clean so that the build doesn't
      fail, by way of actually calling the dh_autoreconf* helpers whose
      package we depend on anyway, but integrated properly into the makefile,
      thanks to Wookey and Breno Leitao, closes: 752020

 -- Josip Rodin <joy-packages@debian.org>  Sun, 31 Jan 2016 16:28:12 +0100

joe (3.7-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Use autotools-dev in build to support new architectures (Closes: #748836)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 16:10:42 +0800

joe (3.7-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Also drop an old editorrc alternative if this package has never
    been configured before (see #644481).
  * Update version numbers for the joe/jupp conflicts.

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Oct 2011 08:58:39 +0000

joe (3.7-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Really install the preinst maintainer script this time.
    closes: #644468

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Oct 2011 08:06:10 +0000

joe (3.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Improve coexistence of joe and jupp: move the editorrc symlink
    to /var/lib/misc/editorrc and make it an update-alternatives
    slave to editor (agreed by Raphaël Hertzog, Josip Rodin).
    closes: #644282

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 05 Oct 2011 20:29:50 +0000

joe (3.7-2) unstable; urgency=high

  * Fix the crash when typing too many dashes on a line, d'oh,
    cherry-picked upstream CVS fix for uformat.c by Joseph Allen, and
    fixed that in turn to actually assign the value of x to orgx, silly,
    closes: #508159.
  * Fix the various segfaults when called with more than one file, d'oh.
    Thanks to Oyvind Aabling for a patch, but actually it seems that
    this was a copy&waste error that crept up into the 3.7 tarball yet
    was coded properly in CVS (main.c r1.79), so simply used that line
    from the CVS version, closes: #514512.
  * Fix the Ins key for jstar users by replacing the obsolete marker
    "overtype" with "overwrite" in rc/jstarrc.in, thanks to Adam Borowski,
    closes: #508797.
  * Fix the matching of python<numbered> interpreters in rc/ftyperc,
    thanks to Piotr Engelking, closes: #549277.
  * Undo the mail formatting horror by reverting to the 3.5-2 (lenny)
    version of syntax/mail.jsf.in. Neither the upstream commits nor the
    NEWS file really explain the benefits of the new stuff, I only see
    the bugs and all the excess red that's making me nauseous, too,
    closes: #597825.
  * Update standards version to 3.9.1.
    + Update menu section from Apps/Editors to Applications/Editors. (3.7.3)
    + Add Homepage field. (3.8.0)
  * Declare 1.0 in debian/source/format explicitly.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 13 Nov 2010 21:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: joe
 Section: editors
 Priority: optional
-Maintainer: Klaus Rotter <klaus@rotters.de>
-Build-Depends: libncurses-dev
-Standards-Version: 3.7.2
+Maintainer: Josip Rodin <joy-packages@debian.org>
+Build-Depends: libncurses-dev, dh-autoreconf
+Standards-Version: 3.9.1
+Homepage: http://joe-editor.sourceforge.net/
 
 Package: joe
 Architecture: any
 Depends: ${shlibs:Depends}
+Breaks: jupp (<< 3.1.18-2~)
 Description: user friendly full screen text editor
  Joe, the Joe's Own Editor, has the feel of most PC text editors: the key
  sequences are reminiscent of WordStar and Turbo C editors, but the feature

=== debian/rules ===
--- 
+++ 
@@ -8,18 +8,25 @@
 CFLAGS += -O2
 endif
 
-build: config.status joe
+build: build-indep build-arch
 
-config.status: configure
+build-indep:
+
+build-arch: config.status joe/joe
+
+config.status:
+	dh_autoreconf
 	CFLAGS="$(CFLAGS)" ./configure --sysconfdir=/etc --prefix=/usr \
           --mandir='$${datadir}/man'
 
-joe: main.c
+joe/joe: joe/main.c
 	$(MAKE)
 
 clean: checkroot
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf $(tmp) debian/*~ debian/substvars* debian/files*
+	dh_autoreconf_clean
+	rm -f debian/*debhelper.log
 
 install: build checkroot
 	rm -rf $(tmp)
@@ -40,7 +47,7 @@
 
 binary-arch: install
 	install -m 755 -d $(tmp)/usr/share/doc/joe
-	for doc in README LIST TODO NEWS; do \
+	for doc in README.md NEWS.md; do \
           gzip -9c $$doc >$(tmp)/usr/share/doc/joe/$$doc.gz; \
         done
 	rm -rf $(tmp)/etc/joe/doc
@@ -50,7 +57,7 @@
 	install -m 644 debian/copyright debian/README.Debian $(tmp)/usr/share/doc/joe
 	install -m 755 -d $(tmp)/DEBIAN
 	install -m 644 debian/conffiles $(tmp)/DEBIAN
-	install -m 755 debian/postinst debian/prerm debian/postrm $(tmp)/DEBIAN
+	install -m 755 debian/preinst debian/postinst debian/prerm debian/postrm $(tmp)/DEBIAN
 	install -m 755 -d $(tmp)/usr/share/menu
 	install -m 644 debian/menu $(tmp)/usr/share/menu/joe
 	dpkg-shlibdeps $(tmp)/usr/bin/joe

## joe 4.4

=== debian/changelog ===
joe (4.4-1) unstable; urgency=medium

  * New upstream version, mainly bug fixes, including our:
    + Fixes segfaults on lines with many backslashes, closes: #847931.
    + Fixes classification of Unicode private characters, thanks to
      Adam Borowski, closes: #822074.
    + Fixes syntax highlighting of PHP variables in strings, closes: #488118.
  * Make sure gzip calls ignore timestamps in order for the build to be
    reproducible, thanks to Chris Lamb, closes: #777726.
  * Pass variables relevant to cross-compiles and use tripled-prefixed strip(1),
    thanks to Helmut Grohne, closes: #844289.
  * Updated standards version to 3.9.6.
    + Make the copyright file machine-parsable (format 1.0).
      Update from current source, drop obsolete BSD part.
    + Document upstream source code repository in Vcs-Browser and Vcs-Hg
      control fields.
    + NB: no provision for obsolete conffiles at this point.
  * Stop manually installing redundant copies of some of the docs now that
    upstream makefiles do it.
  * Use dpkg-buildflags through dpkg-dev's makefile snippet (reported by
    Lintian).

 -- Josip Rodin <joy-packages@debian.org>  Wed, 25 Jan 2017 21:43:14 +0100

joe (4.3-1) unstable; urgency=low

  * New upstream version.
    + Fixes character class ranges with UTF-8 locales, thanks to
      Matthew Gabeler-Lee, closes: #820255.
  * Actually apply our patches by reinstating the quilt series file,
    thanks to Adam Borowski, hopefully finally closes: #820992 etc.
  * Drop obsolete note about backticks from README.Debian, as that default
    key binding had long since changed to Esc+' instead of just `.
  * Drop obsolete note about -asis vs locale from README.Debian, everyone
    now simply expects the current behavior.
  * Added debcontrol syntax highlighting, thanks to Thomas Goirand,
    closes: #819578.

 -- Josip Rodin <joy-packages@debian.org>  Sun, 06 Nov 2016 13:30:43 +0100

## joe 4.6

=== debian/changelog ===
joe (4.6-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain in Package Salvage team
    Closes: #1089653
  * d/rules: Use short dh
  * debhelper compat 13
  * debian/menu: deleted since there are desktop files
  * Update maintainer scripts
  * Do not Build-Depends dh-autoreconf
  * Lintian-overrides: national-encoding
  * Standards-Version: 4.7.0 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Thomas Goirand ]
  * Add debian/changelog highlighting
    Closes: #908584

 -- Andreas Tille <tille@debian.org>  Tue, 31 Dec 2024 09:40:52 +0100

joe (4.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "crash at encoding prompt":
    Add patch from upstream repo (closes: #1003098).

 -- gregor herrmann <gregoa@debian.org>  Tue, 06 Feb 2024 22:21:39 +0100

joe (4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Vcs fields, closes: #1031282.

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 23:52:07 +0100

joe (4.6-1) unstable; urgency=low

  * New upstream version, closes: #887435.
    + No longer mangles // in the external filter, closes: #877734.
    + Refreshed 002_mail_jsf_ugly.patch to apply against the non-.in file,
      the poor man's way.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 17 Feb 2018 20:48:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: joe
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Josip Rodin <joy-packages@debian.org>
 Section: editors
 Priority: optional
-Maintainer: Josip Rodin <joy-packages@debian.org>
-Build-Depends: libncurses-dev, dh-autoreconf
-Standards-Version: 3.9.1
+Build-Depends: debhelper-compat (=13),
+               libncurses-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/joe
+Vcs-Git: https://salsa.debian.org/salvage-team/joe.git
 Homepage: http://joe-editor.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: joe
 Architecture: any
-Depends: ${shlibs:Depends}
-Breaks: jupp (<< 3.1.18-2~)
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: user friendly full screen text editor
  Joe, the Joe's Own Editor, has the feel of most PC text editors: the key
  sequences are reminiscent of WordStar and Turbo C editors, but the feature

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

tmp := $(CURDIR)/debian/joe

override_dh_auto_install:
	dh_auto_install
	rm -f $(tmp)/usr/bin/termidx
	rm -rf $(tmp)/etc/joe/doc

override_dh_link:
	dh_link
	for i in jmacs jstar rjoe jpico; do \
          dh_link usr/share/man/man1/joe.1 usr/share/man/man1/$$i.1; \
        done
